Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::DeviceManager::DeviceTypeInfo Struct Reference

Peripheral device type info. More...

## Public Attributes
sensors::Sensor TypeSpec | type
| Device (sensor) type.
boolean | isActuator
| Is actuator or not.
string | identifier
| Device type identifier.
string | name
| Device type display name.
sensors::NumericSensor Range | defaultRange
| Default sensor range (numeric sensors only)
int | defaultDecDigits
| Default sensor precision (numeric sensors only)

## Detailed Description

Peripheral device type info.

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl